/* COPYRIGHT Esri - https://js.arcgis.com/5.0/LICENSE.txt */
import { W as r, w as s } from "./series-types.js";
import { f as n } from "./rest-js-object-literals.js";
function S(e) {
  const t = [
    r.BarSeries,
    r.LineSeries,
    r.ComboLineAndBarSeries,
    r.BoxPlotSeries
  ], i = s(e?.series);
  return i !== void 0 ? t.includes(i) : !1;
}
function c(e) {
  const t = [
    r.BarSeries,
    r.LineSeries,
    r.ComboLineAndBarSeries,
    r.RadarSeries
  ], i = s(e?.series);
  return i !== void 0 ? t.includes(i) : !1;
}
function p(e) {
  return e?.type === n.SFS;
}
function y(e) {
  return e?.type === n.SLS;
}
function d(e) {
  return e?.type === n.SMS;
}
function h(e) {
  return e?.type === n.TS;
}
function f(e) {
  return e && "iLayer" in e && e.iLayer;
}
function T(e, t) {
  return e !== void 0 && t !== void 0 && e.series[0]?.type === t;
}
function a(e) {
  return e?.type === r.BoxPlotSeries;
}
function m(e) {
  return e?.type === r.LineSeries;
}
function C(e) {
  return e?.type === r.RadarSeries;
}
function b(e) {
  return e?.type === r.BarSeries;
}
function l(e) {
  return e?.type === r.HeatSeries;
}
const L = (e) => s(e) === r.BarSeries, B = (e) => s(e) === r.LineSeries, v = (e) => s(e) === r.RadarSeries, A = (e) => s(e) === r.HeatSeries;
function x(e) {
  return e.every(a);
}
function I(e) {
  return e !== void 0 && e.type === r.NumberAxisFormat;
}
function R(e) {
  return e === void 0 || "bins" in e;
}
function W(e) {
  return e === void 0 || "dataItems" in e;
}
function H(e) {
  return e === void 0 || "dataItems" in e && "r2" in e;
}
function O(e) {
  return "value" in e;
}
export {
  c as a,
  p as b,
  y as c,
  d,
  h as e,
  T as f,
  a as g,
  f as h,
  S as i,
  m as j,
  C as k,
  b as l,
  l as m,
  L as n,
  B as o,
  v as p,
  A as q,
  x as r,
  I as s,
  R as t,
  W as u,
  H as v,
  O as w
};
